org.springframework.ldap.control

## Class PagedResultsRequestControl

- java.lang.Object
- - org.springframework.ldap.control.AbstractRequestControlDirContextProcessor
  - - org.springframework.ldap.control.PagedResultsRequestControl

- All Implemented Interfaces:
    DirContextProcessor

  Deprecated.
  Use PagedResultsDirContextProcessor instead.

      public class PagedResultsRequestControl
      extends AbstractRequestControlDirContextProcessor

  DirContextProcessor implementation for managing the paged results control. Note that due to the internal workings of `LdapTemplate`, the target connection is closed after each LDAP call. The PagedResults control require the same connection be used for each call, which means we need to make sure the target connection is never actually closed. There's basically two ways of making this happen: use the `SingleContextSource` implementation or make sure all calls happen within a single LDAP transaction (using `ContextSourceTransactionManager`).
  Author:
    Mattias Hellborg Arthursson, Ulrik Sandberg

- - ### Field Summary

    - ### Fields inherited from class org.springframework.ldap.control.AbstractRequestControlDirContextProcessor

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PagedResultsRequestControl(int pageSize)` Deprecated. Constructs a new instance.
    `PagedResultsRequestControl(int pageSize, PagedResultsCookie cookie)` Deprecated. Constructs a new instance with the supplied page size and cookie.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Control` | `createRequestControl()` Deprecated. Create an instance of the appropriate RequestControl.
    `PagedResultsCookie` | `getCookie()` Deprecated. Get the cookie.
    `int` | `getPageSize()` Deprecated. Get the page size.
    `int` | `getResultSize()` Deprecated. Get the total estimated number of entries that matches the issued search.
    `void` | `postProcess(DirContext ctx)` Deprecated. Perform post-processing on the supplied `DirContext`.
    `void` | `setRequestControlClass(Class requestControlClass)` Deprecated.
    `void` | `setResponseControlClass(Class responseControlClass)` Deprecated. Set the class of the expected ResponseControl for the paged results response.

    - ### Methods inherited from class org.springframework.ldap.control.AbstractRequestControlDirContextProcessor

      `isReplaceSameControlEnabled, preProcess, setReplaceSameControlEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PagedResultsRequestControl

          public PagedResultsRequestControl(int pageSize)

      Deprecated.
      Constructs a new instance. This constructor should be used when performing the first paged search operation, when no other results have been retrieved.
      Parameters:
        `pageSize` - the page size.

    - #### PagedResultsRequestControl

          public PagedResultsRequestControl(int pageSize,
                                            PagedResultsCookie cookie)

      Deprecated.
      Constructs a new instance with the supplied page size and cookie. The cookie must be the exact same instance as received from a previous paged resullts search, or `null` if it is the first in an operation sequence.
      Parameters:
        `pageSize` - the page size.
        `cookie` - the cookie, as received from a previous search.

  - ### Method Detail

    - #### getCookie

          public PagedResultsCookie getCookie()

      Deprecated.
      Get the cookie.
      Returns:
        the cookie.

    - #### getPageSize

          public int getPageSize()

      Deprecated.
      Get the page size.
      Returns:
        the page size.

    - #### getResultSize

          public int getResultSize()

      Deprecated.
      Get the total estimated number of entries that matches the issued search. Note that this value is optional for the LDAP server to return, so it does not always contain any valid data.
      Returns:
        the estimated result size, if returned from the server.

    - #### setResponseControlClass

          public void setResponseControlClass(Class responseControlClass)

      Deprecated.
      Set the class of the expected ResponseControl for the paged results response.
      Parameters:
        `responseControlClass` - Class of the expected response control.

    - #### setRequestControlClass

          public void setRequestControlClass(Class requestControlClass)

      Deprecated.

    - #### createRequestControl

          public Control createRequestControl()

      Deprecated.
      Description copied from class: `AbstractRequestControlDirContextProcessor`
      Create an instance of the appropriate RequestControl.
      Specified by:
        `createRequestControl` in class `AbstractRequestControlDirContextProcessor`
      Returns:
        the new instance.

    - #### postProcess

          public void postProcess(DirContext ctx)
                           throws NamingException

      Deprecated.
      Description copied from interface: `DirContextProcessor`
      Perform post-processing on the supplied `DirContext`.
      Parameters:
        `ctx` - the `DirContext` instance.
      Throws:
        `NamingException` - if thrown by the underlying operation.